# Amberdms Billing System (ABS)

## Project Homepage

For more information including source code, issue tracker and documentation
visit the project homepage:

https://projects.jethrocarr.com/p/oss-amberdms-bs/



## Introduction

The Amberdms Billing System (ABS) is an open source web application providing
accounting, invoicing, service management and time keeping functions that are
ideally suited for small and medium businesses as well as small ISPs and IT
companies.

Business software is one of the more commonly neglected areas of open source,
ABS is designed to fix this issue and deliver a solid accounting and billing
platform for individuals and small-medium sized businesses.

Developments of ABS has come from a background of working with
telecommunications companies and technology companies and the feature set
reflects this - having said that, ABS is extremely flexible and with a range of
features should be a good match for any business.

ABS includes double-entry accounting, but it's also entirely possible to use it
as a billing system only and keep using another accounting system (such as one
more targeted to your country's requirements) for the accounting.


## Key Features

* Double-entry accounting system with tax and financial reports.
* Powerful invoicing with support for both LaTeX and HTML/CSS templates for PDF invoices.
* Service billing support including features designed for billing for VoIP and ISP data services, including billing for usage based on Netflow and call records.
* Supports bundling multiple services together to suit sale's teams desires for value added packages and bundles being sold to customers.
* Time keeping and billing functions, designed for consultancy companies to bill project time to their customers.
* Credit note support and management of customer account balances.
* Generating good looking quotations and turning them into invoices when accepted.
* Powerful customer record keeping features including multiple contacts, custom notes and documents and attribute store.
* Flexible permissions system allowing easy control over staff access permissions of all application features.
* API for allowing easy integration with payment gateways or other systems.
* And much, much more... [check out the latest release notes](https://projects.jethrocarr.com/p/oss-amberdms-bs/source/tree/HEAD/trunk/help/docs/RELEASE_NOTES)


## Getting Started

To get started with Amberdms Billing System, read the installation instructions
on the project homepage: https://projects.jethrocarr.com/p/oss-amberdms-bs/


